Alerting & Response/Alert Channels & Integrations
POSTAlertingSince 1.0SynchronousAuth Required
ManageAlertIntegration
Enable or disable alert integration for a managed platform
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
platformUuidStringRequiredPlatform UUID to manage integration for
Body Fields
targetStateStringRequiredTarget state: enabled or disabled
Example: enabled
Responses
Endpoint
POST/api/v1/alerting/integrations/{platformUuid}/manage
/api/v1/alerting/integrations/{platformUuid}/manage
Request Example
curl -X POST '{host}/api/v1/alerting/integrations/{platformUuid}/manage' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"targetState":"enabled"}'
Response Example
200{
"uuid": "integ-001",
"platformUuid": "plat-001-abc",
"targetState": "enabled",
"currentState": "enabled",
"webhookUrl": "https://zcf.example.com/api/v1/alerting/receive",
"webhookId": "wh-plat-001",
"lastReconcileAt": "example",
"driftCount": 20
}Change History
This API has no change history records yet.
